Home » Computer » Network » Archive by category "Mail" (Page 13)

Gmail 的 Smart Reply

看到 有 Smart Reply 的功能了:New GMail Feature: Smart Replying

在英文版的 裡面 (我不確定中文版支援了沒),你可以設定多個 e-mail 帳號,然後當這些帳號認證過以後就可以用來當作 From。

但以前要 Reply 的時候 From 一定會是 username@gmail.com,現在的 Smart Reply 會看對方寄到哪個信箱而決定 From:Gmail fixed reply problem。(當然,你可以再改回 username@gmail.com)

Gmail

發現 裡面的 Javascript code 又有新東西了:More code foreshadowing perhaps?

這次是 Voicemail:

var hZ="inbox, star, starred, chat, chats, draft, drafts, sent, sentmail, sent-mail, sent mail, all, allmail, all-mail, all mail, anywhere, archive, spam, trash, read, unread, voicemail, voicemails";

以及

var Js=new AG(["gmail.com", "googlemail.com", "google.com", "evite.com"]);

之前放到 上的 code 被發現以後很快就公佈服務了,這次應該也是?

的功能愈來愈多了...

WordPress 通知郵件標題的亂碼

因為 WordPress 的 wp_mail() 沒轉,mail() 也沒轉 ,底層的 因為不知道編碼是什麼,當然也不能亂轉,於是就... XD

找了一下,在 解决WP邮件通知在gmail中的标题乱码 這篇給了幾個方法,其中不需要額外的 library 大概就是在 pluggable-functions.php 內的 wp_mail() 最後面 return 的地方改成:

return @mail($to, "=?UTF-8?B?" . base64_encode($subject) . "?=", $message, $headers);

我把他改成:

return @mail($to, "=?" . get_settings('blog_charset') . "?B?" . base64_encode($subject) . "?=", $message, $headers);

這樣就 okay 了 :p

PS:其實我不確定能不能 work XD 我是打算 post 一篇,然後測試一下看看標題正不正確 XD

Update:目前看起來跑得很好:

Update:我另外修改了 From: 的部分,這個部分也需要正確的 encoding,同樣一個檔案裡面,把:

$from = "From: \"$blogname\" <$wp_email>";

改成:

$from = "From: =?" . get_settings('blog_charset') . "?B?" . base64_encode("\"$blogname\"") . "?= <$wp_email>";

另外把:

$from = "From: \"$comment->comment_author\" <$wp_email>";

改成:

$from = "From: =?" . get_settings('blog_charset') . "?B?" . base64_encode("\"$comment->comment_author\"") . "?= <$wp_email>";

一樣,先測一陣子看看,沒問題就到 上送 ticket 請他們 patch。

反監控 E-mail

前陣子美國的新聞媒體報導了 Bush 政府要求 NSA 大規模監控了所有的通訊資料。

剛剛在 Is the NSA Reading Your E-Mail? 這篇裡面看到了 Richard M Smith 提供反監控的想法:在信裡面提到一個別人不會 access 到的網頁,看 server log 是不是有被存取到。

(然後我又想到 了...)

Gmail 所使用的防毒軟體

雖然 不願意透露 是使用哪套防毒軟體,有人還是利用邪惡的方法 (把病毒丟進去看看有哪些被抓出來,然後再跟已知軟體的列表比較) 找出來了, 使用 Which Software Scans Gmail's Attachments?Gmail AntiVirus = Sophos

測試的報告在 這裡這裡,與 Sophos 完全符合。

我本來以為 會自己搞 (因為我覺得 的量太大,傳統的作法可能不適合?),沒想到還是採用現有的 pattern 掃瞄 :)

bogofilter

看到 這篇 bogofilter 亂談 才發現我好像欠某長輩 document 很久了 :p 查了一下,我是從六月中的時候開始用 ,七月中的時候把 的 Mail System 也加上 過濾。

我是裝 ,因為 只要 wordlist 超過 1xMB 就會寫不進去,不知道為什麼 :p 而且 的速度很快 (只比 慢:),所以就用 吧 :p

.procmailrc 裡面設定:

# bogofilter
:0fw
| /usr/local/bin/bogofilter -e -p -l

.muttrc 裡面設定:

macro index X "<pipe-entry>formail -s bogofilter -s\n<delete-message<" "mark as spam"
macro index Z "<pipe-entry>formail -s bogofilter -n\n" "mark as non-spam"

配合 過濾時 master.cf 的部分內容:


smtp inet n - n - - smtpd -o content_filter=bogofilter:
bogofilter unix - n n - - pipe flags=FR user=nobody:mail
argv=/usr/local/sbin/bogofilter.sh -f ${sender} -- ${recipient}

其中 /usr/local/sbin/bogofilter.sh 是從網路上抄來的,長這樣:

#!/bin/sh
/bin/rm /tmp/bogofilter-now
echo $$ > /tmp/bogofilter-now
CAT=/bin/cat
FILTER=/usr/local/bin/bogofilter
FILTER_DIR=/var/spool/bogofilter
SENDMAIL="/usr/sbin/sendmail -i"
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
cd $FILTER_DIR || { echo $FILTER_DIR does not exist; exit $EX_TEMPFAIL; }
# Clean up when done or when aborting.
trap "rm -f msg.$$" 0 1 2 3 15
# bogofilter returns: 0 for spam; 1 for non-spam; 2 for I/O or other errors.
$CAT | $FILTER -d $FILTER_DIR -p -e > msg.$$
$SENDMAIL "$@" < msg.$$

其中 /var/spool/bogofilter 裡必須有 wordlist.qdbm

詳細的說明晚點再寫。

另外提供我自己的 wordlist.qdbm 讓大家用好了,如果不想自己花兩三天 train 的話:http://files.gslin.org/bogofilter/wordlist.qdbm

慢慢的習慣 Gmail

我之前其實不太用 的,我所申請的 都是拿來放資料庫的備份。(所以我有寫過一篇關於利用 備份 資料庫的文章)

不過在上研究所以後,我發現時間應該浪費在美好的事物上,所以有很多需要花時間去瞭解 (以及 try and error) 的東西就慢慢沒在用了,有現成的方案就儘量用,沒有現成的方案才會自己弄。

所以我後來把 (大學部) 的信轉到 上面,然後把的信也轉上來,強迫自己用,現在慢慢習慣了 :p (主要是以前沒有在用,沒有注意到某些功能,然後就會覺得不好用)

呃... 你問我這篇的重點是什麼?只是碎碎念而已 :p

Archives